=== debian/changelog ===
aqemu (0.8.2-2build1) wily; urgency=medium

  * No change rebuild for new libvncclient1

 -- Micah Gersten <micahg@ubuntu.com>  Mon, 01 Jun 2015 22:39:26 -0500

aqemu (0.8.2-2) unstable; urgency=low

  * debian/control:
    - Bumped Standrards-Version to 3.9.3. No changes needed.
    - Added Recommends on qemu-kvm. (Closes: #645226)
  * debian/copyright:
    - Updated to fit new format specifications of DEP5 (rev. 202).
  * debian/patches:
    - 02_qt4.8_ftbs.diff: Fixes FTBS with Qt4.8 (Closes: #672011)

 -- Ignace Mouzannar <mouzannar@gmail.com>  Tue, 08 May 2012 17:57:50 +0400

aqemu (0.8.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Added armhf support. Thank you Konstantinos Margaritis 
      <markos@genesi-usa.com> for the tests and patch.
      (Closes: 622722)
    - Synced architectures with those the 'qemu' package. Thank you
      Guillem Jover <guillem@debian.org> for the patch. (Closes: #617877)
    - Bumped Standards-Version to 3.9.2.
    - Added the "DM-Upload-Allowed" field.
  * debian/patches:
    - 01_spelling_corrections: corrects upstream spelling errors.

 -- Ignace Mouzannar <mouzannar@gmail.com>  Mon, 29 Aug 2011 18:23:42 +0200
