=== debian/watch ===
version=3
http://sf.net/aqemu/aqemu-([^-]+)\.tar\.bz2
