=== debian/changelog ===
aqemu (0.9.2-6) unstable; urgency=medium

  * QA upload.
  * Bump CMake policy version (Closes: #1112749)
  * Bump Standards-Version to 4.7.2

 -- Timo Röhling <roehling@debian.org>  Wed, 24 Sep 2025 22:05:24 +0200

aqemu (0.9.2-5) unstable; urgency=medium

  * QA upload.
  [ Manuel A. Fernandez Montecelo ]
  * debian/control: Set Architecture to any. Closes: #1025033.

 -- Santiago Vila <sanvila@debian.org>  Thu, 21 Nov 2024 01:20:00 +0100

aqemu (0.9.2-4) unstable; urgency=medium

  * QA upload
  * debian/control:
    - Bump Standards-Version
    - Drop hard-coded dependency (Closes: #1068216)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 02 Apr 2024 21:28:15 +0200

aqemu (0.9.2-3) unstable; urgency=medium

  * QA upload.
  * debian/patches:
    - Fix build with GCC 10 (Closes: #957003).
    - Docs: fix groff warning about empty line.
    - Fix spelling of some words.
    - Merge Debian-specific desktop file into upstream's one and move
      icons to share/icons.
    - Forward all patches to upstream.
  * debian/control:
    - Replace qemu dummy package dependency to qemu system packages
      (Closes: 966261, 874050).
    - Bumped Standards-Version to 4.5.1 and debhelper compat to 13.
    - Put package in Debian QA Group now that it is orphaned.
    - Remove trailing spaces.
    - Add Rules-Requires-Root: no as the build doesn't require root.
    - Update homepage to github instead of sourceforge.
  * debian/copyright:
    - Use secure uri (https) for Format field.
  * debian/changelog:
    - Remove trailing whitespaces.
  * debian/rules:
    - Add hardening option.
    - Remove build dir from aqemu binary.
  * debian/watch:
    - Update to version 4.
  * Add upstream/metadata file.

 -- Alexis Murzeau <amubtdx@gmail.com>  Sat, 05 Dec 2020 22:45:24 +0100

aqemu (0.9.2-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/0002-Remove-VLAN-stuff-QEMU-doesn-t-support-it-anymore.patch
    - Remove "Virtual LAN" references in description texts.

 -- Alexis Murzeau <amubtdx@gmail.com>  Sun, 26 May 2019 01:03:06 +0200

aqemu (0.9.2-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/0002-Remove-VLAN-stuff-QEMU-doesn-t-support-it-anymore.patch
    - Fix "after updating can't open VMs": Remove vlan related options.
    (Closes: #927126)

 -- Alexis Murzeau <amubtdx@gmail.com>  Fri, 17 May 2019 00:55:49 +0200

aqemu (0.9.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ gregor herrmann ]
  * Fix "build-depends on GCC 6": drop explicit build dependencies on
    gcc-6 and g++-6.
    (Closes: #892392)

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 10 Apr 2018 23:18:58 +0200

aqemu (0.9.2-2) unstable; urgency=medium

  * debian/control:
    - Update Description from Qt4 to Qt5 (Closes: 832494)

 -- Ignace Mouzannar <mouzannar@gmail.com>  Mon, 25 Jul 2016 22:52:31 -0400

aqemu (0.9.2-1) unstable; urgency=medium

  * New upstream release (Closes: 812048, 607947, 680779).
  * debian/control:
    - Updated dependency from qt4 to qt5.
    - Removed deprecated DM-Upload-Allowed field.
    - Bumped Standards-Version to 3.9.8.
    - Updated debhelper dependency version to follow new compat version.
    - Updated Architectures list to reflect all qemu supported architectures.
      (Closes: 793780, 725920).
    - Removed Vcs-{Svn,Browser} fields.
    - Added explicit dependency on libqt5dbus5.
  * debian/compat:
    - Bumped compat from 7 to 9.
  * debian/copyright:
    - Moved all license text to bottom of the copyright file, as defined in the
      "recurrent license" section of the Debian copyright format v1.0.
    - Updated path to Machine_View.{cpp,h} files.
    - Updated Format version to point to Debian copyright format v1.0.
  * debian/menu:
    - Removed file as recommended here:
      https://lists.debian.org/debian-devel-announce/2015/09/msg00000.html
  * debian/aqemu.desktop:
    - Added Keywords field.
  * debian/patches/01_qemu_parallel_typo.diff:
    - Fix type when LPT parallel option is selected. (Closes: 779022)
      Thank you Andrey Skvortsov <andrej.skvortzov@gmail.com> for the patch!
  * debian/rules:
    - Update to use Qt5 for build.
  * debian/watch:
    - Updated watch file from .bz to .gz.

 -- Ignace Mouzannar <mouzannar@gmail.com>  Sun, 24 Jul 2016 22:44:42 -0400
