=== debian/control ===
Source: aqemu
Section: x11
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               libvncserver-dev,
               qtbase5-dev,
               qtbase5-dev-tools,
               zlib1g-dev,
               cmake
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://github.com/tobimensch/aqemu
Vcs-Git: https://salsa.debian.org/debian/aqemu.git
Vcs-Browser: https://salsa.debian.org/debian/aqemu

Package: aqemu
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         qemu-kvm | qemu-system-x86 | qemu-system-arm | qemu-system-mips | qemu-system-ppc | qemu-system-sparc | qemu-system-misc
Description: Qt5 front-end for QEMU and KVM
 aqemu is a Qt5 graphical interface used to manage QEMU and KVM virtual
 machines. It has a user-friendly interface and allows one to set up the
 majority of QEMU and KVM options.
