=== debian/watch ===
version=4
http://sf.net/aqemu/ aqemu-([^-]+)\.tar\.gz debian uupdate
